"""Hermes - a client library for a messenger."""
from .client import EmailMessengerClient, LetterMessengerClient, SmsMessengerClient
from .email import Email, EmailEnvelope
from .letter import Letter, LetterEnvelope
from .message import Message, MessageEnvelope
from .sms import Sms, SmsEnvelope

__version__ = '3.0.0'

__all__ = [
    'EmailMessengerClient',
    'LetterMessengerClient',
    'SmsMessengerClient',

    'MessageEnvelope',
    'EmailEnvelope',
    'LetterEnvelope',
    'SmsEnvelope',

    'Message',
    'Email',
    'Letter',
    'Sms',
]
